---
title: openvpn_client
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&amp;logoColor=white)](https://gitea.rknet.org/ansible/xoxys.openvpn_client)
[![Build Status](https://img.shields.io/drone/build/ansible/xoxys.openvpn_client?logo=drone&amp;server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.openvpn_client)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.openvpn_client/src/branch/main/LICENSE)

Configure OpenVPN client

<!--more-->

- [Requirements](#requirements)
- [Default Variables](#default-variables)
  - [openvpn_client_auth](#openvpn_client_auth)
  - [openvpn_client_ca_file](#openvpn_client_ca_file)
  - [openvpn_client_cert_file](#openvpn_client_cert_file)
  - [openvpn_client_key_file](#openvpn_client_key_file)
  - [openvpn_client_name](#openvpn_client_name)
  - [openvpn_client_packages_extra](#openvpn_client_packages_extra)
  - [openvpn_client_port](#openvpn_client_port)
  - [openvpn_client_proto](#openvpn_client_proto)
  - [openvpn_client_server](#openvpn_client_server)
  - [openvpn_client_ta_file](#openvpn_client_ta_file)
  - [openvpn_service_state](#openvpn_service_state)
- [Dependencies](#dependencies)

---

## Requirements

- Minimum Ansible version: `2.1`


## Default Variables

### openvpn_client_auth

#### Default value

```YAML
openvpn_client_auth: SHA512
```

### openvpn_client_ca_file

#### Default value

```YAML
openvpn_client_ca_file: /etc/pki/tls/certs/ca-bundle.crt
```

### openvpn_client_cert_file

#### Default value

```YAML
openvpn_client_cert_file: '{{ openvpn_client_name }}.crt'
```

### openvpn_client_key_file

#### Default value

```YAML
openvpn_client_key_file: '{{ openvpn_client_name }}.key'
```

### openvpn_client_name

#### Default value

```YAML
openvpn_client_name: client
```

### openvpn_client_packages_extra

#### Default value

```YAML
openvpn_client_packages_extra: []
```

### openvpn_client_port

#### Default value

```YAML
openvpn_client_port: 1194
```

### openvpn_client_proto

#### Default value

```YAML
openvpn_client_proto: udp
```

### openvpn_client_server

#### Default value

```YAML
openvpn_client_server: vpn.example.com
```

### openvpn_client_ta_file

#### Default value

```YAML
openvpn_client_ta_file: '{{ openvpn_client_name }}_ta.key'
```

### openvpn_service_state

#### Default value

```YAML
openvpn_service_state: started
```



## Dependencies

None.
